using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using Microsoft.AspNetCore.Mvc.Rendering;

namespace TestAutoComplete.Pages
{
    public class IndexModel : PageModel
    {
        public IList<SelectListItem> Doctors { get; private set; }

        public void OnGet()
        {
            this.Doctors = new List<SelectListItem>()
            {
                new SelectListItem() { Value = "1", Text = "First"},
                new SelectListItem() { Value = "2", Text = "Second"},
                new SelectListItem() { Value = "3", Text = "Third"},
                new SelectListItem() { Value = "4", Text = "Forth"}
            };

            this.ViewData["Doctors"] = new List<SelectListItem>()
            {
                new SelectListItem() { Value = "1", Text = "First"},
                new SelectListItem() { Value = "2", Text = "Second"},
                new SelectListItem() { Value = "3", Text = "Third"},
                new SelectListItem() { Value = "4", Text = "Forth"}
            };
        }
    }
}
